Package org.jfree.layouting.renderer.process.valign

## Class AlignContext

- java.lang.Object
- - org.jfree.layouting.renderer.process.valign.AlignContext

- Direct Known Subclasses:
    `BoxAlignContext`, `InlineBlockAlignContext`, `NodeAlignContext`, `ReplacedContentAlignContext`, `TextElementAlignContext`

      public abstract class AlignContext
      extends java.lang.Object

  To position an element inside an box, we need the following data:

  (1) Offset. The distance between the parent's top-edge and the child's top edge.

  (2) Dominant baseline. The childs alignment point is defined by that one.

  (3) Ascent. The distance from the baseline to the top edge.

  (4) descent. The distance from the baseline to the bottom edge.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AlignContext​(RenderNode node)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract long` | `getAfterEdge​()` |
    `abstract long` | `getBaselineDistance​(int baseline)` |
    `abstract long` | `getBeforeEdge​()` |
    `int` | `getDominantBaseline​()` |
    `AlignContext` | `getNext​()` |
    `RenderNode` | `getNode​()` |
    `void` | `setDominantBaseline​(int dominantBaseline)` |
    `void` | `setNext​(AlignContext next)` |
    `abstract void` | `shift​(long delta)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AlignContext

          protected AlignContext​(RenderNode node)

  - ### Method Detail

    - #### getNode

          public RenderNode getNode​()

    - #### getNext

          public AlignContext getNext​()

    - #### setNext

          public void setNext​(AlignContext next)

    - #### shift

          public abstract void shift​(long delta)

    - #### getAfterEdge

          public abstract long getAfterEdge​()

    - #### getBeforeEdge

          public abstract long getBeforeEdge​()

    - #### setDominantBaseline

          public void setDominantBaseline​(int dominantBaseline)

    - #### getDominantBaseline

          public int getDominantBaseline​()

    - #### getBaselineDistance

          public abstract long getBaselineDistance​(int baseline)